Last Comment Bug 711750 - Implement a fullscreen arrow for some windows in Thunderbird for 10.7 and above
: Implement a fullscreen arrow for some windows in Thunderbird for 10.7 and above
Status: RESOLVED FIXED
[gs]
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal with 4 votes (vote)
: Thunderbird 17.0
Assigned To: Nomis101
:
Mentors:
https://getsatisfaction.com/mozilla_m...
Depends on: 639705
Blocks: tb-mac 783864
  Show dependency treegraph
 
Reported: 2011-12-17 12:29 PST by Nomis101
Modified: 2013-09-20 12:55 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Enable Lion fullscreenmode for some windows (3.83 KB, patch)
2012-02-19 13:17 PST, Nomis101
bwinton: feedback+
Details | Diff | Review
Unbitrotted patch (3.90 KB, patch)
2012-03-13 13:05 PDT, Nomis101
bwinton: review+
bwinton: ui‑review-
Details | Diff | Review
This does not work! (7.10 KB, patch)
2012-06-03 13:52 PDT, Nomis101
no flags Details | Diff | Review
Patch for initial fullscreen support (4.09 KB, patch)
2012-08-19 02:45 PDT, Nomis101
bwinton: review+
Details | Diff | Review

Description Nomis101 2011-12-17 12:29:54 PST
If Bug 639705 is fixed, we will have the Lion fullscreen arrow on every window in Thunderbird. This than works to bring this window into Lion fullscreen mode on 10.7. But the shortcut and some other things doesn't work. So we need to port the necessary parts from browser.js to Thunderbird.
Comment 1 Paul O'Shannessy [:zpao] (not reading much bugmail, email directly) 2012-02-15 14:02:34 PST
For the record, bug 639705 will make native fullscreen opt-in (as <window fullscreenbutton="true">). So you aren't forced to support it until you want to (I vote that you should, but I'm not a heavy TB user).
Comment 2 Nomis101 2012-02-19 13:17:52 PST
Created attachment 598699 [details] [diff] [review]
Enable Lion fullscreenmode for some windows

This patch enables Lion fullscreen for the main window, the standalone message window, the compose window and the addressbook. 
Keyboard shortcut doesn't work yet, because I'm not sure how to do that. Firefox uses shift+cmd+f which is in use in TB, OS X does ctrl+cmd+f.
Comment 3 Blake Winton (:bwinton) (:☕️) (PTO 'til London. Find me there for quick answers!) 2012-02-21 08:32:00 PST
Comment on attachment 598699 [details] [diff] [review]
Enable Lion fullscreenmode for some windows

That seems reasonable, although I'ld kind of like to see it in action before we check it in…  (And the patches from bug 639705 didn't apply, so it's going to have to wait a little while.)

Thanks,
Blake.
Comment 4 Nomis101 2012-02-21 09:29:32 PST
Yes, we need to wait for Bug 639705 to get fixed, before this can get in. I don't have access to the tryserver, so I can't provide a try build...
Comment 5 Ludovic Hirlimann [:Usul] 2012-03-13 03:30:07 PDT
Blake could you push to try ?
Comment 6 Mike Conley (:mconley) - (Away until June 29th) 2012-03-13 07:04:47 PDT
This patch appears to have bitrotted.  Can it be updated?
Comment 7 Nomis101 2012-03-13 13:05:58 PDT
Created attachment 605503 [details] [diff] [review]
Unbitrotted patch

(In reply to Ludovic Hirlimann [:Usul] from comment #5)
> Blake could you push to try ?
This will only work together with the patches from Bug 639705.

(In reply to Mike Conley (:mconley) from comment #6)
> This patch appears to have bitrotted.  Can it be updated?
Hah, this was bitrotted because of my own patch.^^
Comment 8 Blake Winton (:bwinton) (:☕️) (PTO 'til London. Find me there for quick answers!) 2012-03-21 13:34:48 PDT
Comment on attachment 605503 [details] [diff] [review]
Unbitrotted patch

Seems to work over here.  There are some oddities I'm not too happy with, like when I open a Compose window from a full-screened 3-pane, the new compose window is also full-screened, but I don't think that's something we can change in Thunderbird, so I'm going to say r=me, but I think I want a menu item saying "View » Enter Full Screen    ^⌘F" (changing to "View » Exit Full Screen    ^⌘F" when the window is in full-screen mode) before I give it the ui-r.  And yes, I checked the ^⌘F is free in all three windows. ;)

Thanks,
Blake.
Comment 9 Nomis101 2012-03-25 02:53:31 PDT
(In reply to Blake Winton (:bwinton - Thunderbird UX) from comment #8)
> Comment on attachment 605503 [details] [diff] [review]
> Unbitrotted patch
> but I think I want a
> menu item saying "View » Enter Full Screen    ^⌘F" (changing to "View » Exit
> Full Screen    ^⌘F" when the window is in full-screen mode) before I give it
> the ui-r.  And yes, I checked the ^⌘F is free in all three windows. ;)
> 
> Thanks,
> Blake.

Yes, that would be nice, but somebody other needs to do this, I can integrate the menu item into "View", but I have no idea how to make it functional. :-(
Comment 10 Blake Winton (:bwinton) (:☕️) (PTO 'til London. Find me there for quick answers!) 2012-03-28 09:19:15 PDT
Tell you what, you add the buttons, with an action of "dump('Aaahhh!\n')", and I'll figure out what that code should actually be.  ;)
Comment 11 Blake Winton (:bwinton) (:☕️) (PTO 'til London. Find me there for quick answers!) 2012-03-28 09:39:06 PDT
And it looks like it should be something along the lines of "window.fullScreen = !window.fullScreen".  :)
Comment 12 Paul O'Shannessy [:zpao] (not reading much bugmail, email directly) 2012-03-28 13:48:54 PDT
I started doing exactly this in Firefox (attachment 586156 [details] [diff] [review] in bug 714172), you may want to see what's happening there.

(In reply to Blake Winton (:bwinton - Thunderbird UX) from comment #11)
> And it looks like it should be something along the lines of
> "window.fullScreen = !window.fullScreen".  :)

Pretty much, though you'll need to listen for the "fullscreen" event to change the menu.
Comment 13 Nomis101 2012-03-28 14:56:06 PDT
(In reply to Blake Winton (:bwinton - Thunderbird UX) from comment #10)
> Tell you what, you add the buttons, with an action of "dump('Aaahhh!\n')",
> and I'll figure out what that code should actually be.  ;)
Cool, I will do that on the weekend. :-)

(In reply to Paul O'Shannessy [:zpao] from comment #12)
> I started doing exactly this in Firefox (attachment 586156 [details] [diff] [review]
> [review] in bug 714172), you may want to see what's happening there.
Thats very helpfull thanks.
Comment 14 Nomis101 2012-05-02 15:00:26 PDT
(In reply to Nomis101 from comment #13)
> (In reply to Blake Winton (:bwinton - Thunderbird UX) from comment #10)
> > Tell you what, you add the buttons, with an action of "dump('Aaahhh!\n')",
> > and I'll figure out what that code should actually be.  ;)
> Cool, I will do that on the weekend. :-)
OK, this was a bit optimistic. Just to let you know, this is still on my ToDo-List. But everything I've tried for now messed up the Thunderbird UI completely. So I first need to ask what I did wrong on IRC (or so). But currently I have no time for that. But its still on my ToDo-List.
Comment 15 Nomis101 2012-06-03 13:52:11 PDT
Created attachment 629654 [details] [diff] [review]
This does not work!

(In reply to Blake Winton (:bwinton - Thunderbird UX) from comment #10)
> Tell you what, you add the buttons, with an action of "dump('Aaahhh!\n')",
> and I'll figure out what that code should actually be.  ;)

I hope you also can tell me why this does not work. It doesn't add any button, it only breaks TB and makes it completely unusable. :-( How do I get the button in the view menu?
Comment 16 Nomis101 2012-08-19 02:45:41 PDT
Created attachment 653159 [details] [diff] [review]
Patch for initial fullscreen support

I've tried a lot of things, asked on IRC and so on to implement the menu
bwinton asked for in #8. But nothing was really successfully. So I talked to bwinton and he told me, he is OK if I only implement the fullscreen arrow and someone other than can implement the menu in a followup bug. This patch will now only implement the arrow, the followup bug is 783864.
Comment 17 Blake Winton (:bwinton) (:☕️) (PTO 'til London. Find me there for quick answers!) 2012-08-20 09:01:52 PDT
Comment on attachment 653159 [details] [diff] [review]
Patch for initial fullscreen support

Sold.  r=me!

Thanks,
Blake.
Comment 18 Mike Conley (:mconley) - (Away until June 29th) 2012-08-20 09:40:28 PDT
comm-central: https://hg.mozilla.org/comm-central/rev/73f6649143ef

Note You need to log in before you can comment on or make changes to this bug.